> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll Job

> Fetch the TXT file generated for preparing the TDS return.



## OpenAPI

````yaml api-reference/tds/reports/openapi.json GET /tds/reports/txt
openapi: 3.1.0
info:
  title: reports
  version: 1.0.0
  description: ''
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tds/reports/txt:
    get:
      tags:
        - TDS
      summary: Fetch TDS Reports Job
      parameters:
        - name: job_id
          in: query
          required: true
          description: Unique identifier of the job
          deprecated: false
          schema:
            type: string
          examples:
            200 - Job Created:
              summary: 200 - Job Created
              value: 48c70ad8-f5df-4dd7-8aff-a71d48992336
            200 - Job Queued:
              summary: 200 - Job Queued
              value: 0fb396f6-9eb6-48b9-926d-25296286f9ee
            200 - Job Succeeded:
              summary: 200 - Job Succeeded
              value: c01f847c-c42e-4577-9d01-a7208401a922
            200 Form 27Q Job Succeeded:
              summary: 200 Form 27Q Job Succeeded
              value: 46d96540-e4e0-4188-81f5-959f4732490f
            200 Form 24Q-Q3 Job Succeeded:
              summary: 200 Form 24Q-Q3 Job Succeeded
              value: 24043690-b905-491e-9dc3-950995532e2f
            200 Form 24Q-Q4 Job Succeeded:
              summary: 200 Form 24Q-Q4 Job Succeeded
              value: c8c2b692-9742-4842-b72e-3441f07be0a0
            200 Job Failed:
              summary: 200 Job Failed
              value: 77a45361-9646-4ee0-93ed-9471bb8a615e
            521 - Data not found:
              summary: 521 - Data not found
              value: '{{job_id}}'
        - name: authorization
          in: header
          required: true
          description: JWT access token
          deprecated: false
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          description: API key for identification
          deprecated: false
          schema:
            type: string
        - name: x-api-version
          in: header
          required: false
          deprecated: false
          schema:
            type: string
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                oneOf:
                  - title: Job Queued
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                          tan:
                            type: string
                          quarter:
                            type: string
                          form:
                            type: string
                          financial_year:
                            type: string
                          previous_receipt_number:
                            type: string
                          status:
                            type: string
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
                  - title: Job Succeeded
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                          tan:
                            type: string
                          quarter:
                            type: string
                          form:
                            type: string
                          financial_year:
                            type: string
                          previous_receipt_number:
                            type: string
                          status:
                            type: string
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
                          txt_url:
                            type: string
                            format: uri
                  - title: Job Failed
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                          tan:
                            type: string
                          quarter:
                            type: string
                          form:
                            type: string
                          financial_year:
                            type: string
                          previous_receipt_number:
                            type: string
                          status:
                            type: string
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
                          validation_report_url:
                            type: string
                            format: uri
              examples:
                200 - Job Created:
                  summary: 200 - Job Created
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: 48c70ad8-f5df-4dd7-8aff-a71d48992336
                      tan: AHMA09719B
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      previous_receipt_number: '123456789012345'
                      status: created
                      created_at: 1701250588000
                200 - Job Queued:
                  summary: 200 - Job Queued
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tcs.reports.job
                      job_id: 0fb396f6-9eb6-48b9-926d-25296286f9ee
                      tan: AHMQ00112A
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      previous_receipt_number: '123456789012345'
                      status: queued
                      created_at: 1701250588000
                      updated_at: 17012505755000
                200 - Job Succeeded:
                  summary: 200 - Job Succeeded
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: c01f847c-c42e-4577-9d01-a7208401a922
                      tan: AHMA09719B
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      previous_receipt_number: '123456789012345'
                      status: succeeded
                      created_at: 1701250588000
                      updated_at: 17012506055000
                      txt_url: >-
                        https://in-co-sandbox-tds-reports-test.s3.ap-south-1.amazonaws.com/tan/financial_year/quarter/form/0bd87749-8c4d-4127-aede-74d55e2bbf54_report.txt
                200 Form 27Q Job Succeeded:
                  summary: 200 Form 27Q Job Succeeded
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: 46d96540-e4e0-4188-81f5-959f4732490f
                      tan: AHMA09719B
                      quarter: Q3
                      form: 27Q
                      financial_year: FY 2023-24
                      previous_receipt_number: '123456789012345'
                      status: succeeded
                      created_at: 1701250588000
                      updated_at: 17012506055000
                      txt_url: >-
                        https://in-co-sandbox-tds-reports-test.s3.ap-south-1.amazonaws.com/tan/financial_year/quarter/form/6ee21a60-f910-464a-8e36-06e611e52512_report.txt
                200 Form 24Q-Q3 Job Succeeded:
                  summary: 200 Form 24Q-Q3 Job Succeeded
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: 24043690-b905-491e-9dc3-950995532e2f
                      tan: AHMA09719B
                      quarter: Q3
                      form: 24Q
                      financial_year: FY 2023-24
                      previous_receipt_number: '123456789012345'
                      status: succeeded
                      created_at: 1701250588000
                      updated_at: 17012506055000
                      txt_url: >-
                        https://in-co-sandbox-tds-reports-test.s3.ap-south-1.amazonaws.com/tan/financial_year/quarter/form/1d7cb866-1ad3-4ac9-9c94-e0b93e26c521_report.txt
                200 Form 26Q-Q3 Job Succeeded:
                  summary: 200 Form 26Q-Q3 Job Succeeded
                  value:
                    code: 200
                    timestamp: 1763362637999
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: 24043690-b905-491e-9dc3-950995532e2f
                      tan: AHMA09719B
                      quarter: Q3
                      form: 24Q
                      financial_year: FY 2023-24
                      previous_receipt_number: '123456789012345'
                      status: succeeded
                      created_at: 1701250588000
                      updated_at: 17012506055000
                      txt_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/26Q/4049c226-4988-4978-b5ad-d25705453da8/26Q.txt
                200 Form 24Q-Q4 Job Succeeded:
                  summary: 200 Form 24Q-Q4 Job Succeeded
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: c8c2b692-9742-4842-b72e-3441f07be0a0
                      tan: AHMA09719B
                      quarter: Q4
                      form: 24Q
                      financial_year: FY 2023-24
                      previous_receipt_number: '123456789012345'
                      status: succeeded
                      created_at: 1701250588000
                      updated_at: 17012506055000
                      txt_url: >-
                        https://in-co-sandbox-tds-reports-test.s3.ap-south-1.amazonaws.com/tan/financial_year/quarter/form/62ec5ac0-88b2-4aa5-a4a2-9a26cbe95fa8_report.txt
                200 Job Failed:
                  summary: 200 Job Failed
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: 77a45361-9646-4ee0-93ed-9471bb8a615e
                      tan: BLRC23456F
                      quarter: Q4
                      form: 26Q
                      financial_year: FY 2023-24
                      previous_receipt_number: '123456789012345'
                      status: failed
                      created_at: 1701250588000
                      updated_at: 17012506055000
                      validation_report_url: >-
                        https://in-co-sandbox-tds-reports-test.s3.ap-south-1.amazonaws.com/tan/financial_year/quarter/a1d166c2-6d26-4180-931b-95fc6d2c1fc5_error.xlsx
        '521':
          description: 521 - Data Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  message:
                    type: string
              examples:
                521 - Data not found:
                  summary: 521 - Data not found
                  value:
                    code: 521
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    message: 'Data not found: 174b4fbf-0d0f-4c46-93d8-790d6d3ae0ee'

````